#include "mbed.h"

#include "2017_4.h"

#include "AlphaTransporter.h"
#include "DataPool.h"

Mecanamu_4 Mecanamu(PA_8, PB_0, PA_12, PA_7, PA_11, PB_1, PA_6, PA_5, PB_5, PF_0, PA_4, PA_3, PB_4, PF_1, PA_1, PA_0, 1);
Serial pc(USBTX, USBRX);

int main() {
    DataPool *alpha;

    alpha = new AlphaTransporter;

    Mecanamu.Drive(0, 0, 0);
    float x, y, t;
    while(1) {
        alpha->set();
        x = alpha->read(0) / 128.00;
        y = alpha->read(1) / 128.00;
        t = alpha->read(2) / 128.00;
        Mecanamu.Drive(x, y, t);
        wait(0.1);
    }
}